%define name	   eroaster
%define version	   2.2.0
%define fversion   2.2.0-0.8
%define release	   0.8.2mdk

Name:			%{name}
Summary:		The ECLIPT Roaster is a graphical frontend to cdrecord and mkisofs
Version:		%{version}
Release:		%{release}
License:		GPL
Group:			Archiving/Cd burning
Source:			http://sourceforge.net/projects/eroaster/%{name}-%{fversion}.tar.bz2
Patch:			eroaster-2.2.0-0.6-Application.py.patch.bz2
Packager:		Daouda Lo <daouda@mandrakesoft.com>
URL:			http://sourceforge.net/projects/eroaster/
BuildRoot:		%{_tmppath}/%{name}-buildroot
Requires:		gnome-python >= 1.99.15 gnome-python-canvas >= 1.99.15
Requires:		pygtk2.0-libglade
Requires:		cdrecord >= 1.9, mkisofs >= 1.9, cdrecord-cdda2wav >= 1.9
Requires:		cdrecord-isotools
Requires:		mpg123
Requires:		vorbis-tools
##optional requires--will provides additional features and support
#For bin/cue conversion
#Requires:             bchunk
#for adjusting the volume of audio files to a standard volume level
#Requires:             normalize
#for zinf audio player support
#Requires:             zinf
BuildRequires:  gnome-python >= 1.99.15 gnome-python-canvas >= 1.99.15
BuildRequires:  cdrecord, mkisofs,  cdrecord-cdda2wav, cdrecord-isotools
BuildRequires:  ImageMagick
Provides:       hackeroaster
Obsoletes:      hackeroaster
BuildArch:      noarch

%description
A graphical front end to cdrecord and mkisofs.
- Writes data and audio cd's on the fly
- read data and audio cd's
- drag and drop support
- nice user interface
- auto selection of files to fill cd
- auto conversion of mp3 files to wav files

%prep
%setup -n %{name}-%{fversion} -q
%patch -p1

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%{find_lang} %name
##menus created
mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/eroaster
?package(eroaster): needs=X11 \
section="Applications/Archiving/Cd burning" \
title="Eroaster" \
longtitle="GUI CD Burner"\
command="/usr/bin/runeroaster" \
icon="cd_burning_section.png"
EOF

mkdir -p $RPM_BUILD_ROOT%{_bindir}
cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/runeroaster
export PYTHONPATH=%{_libdir}/eroaster;%{_bindir}/eroaster
EOF

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/runeroaster

#remove obsolete files
rm -rf %buildroot%_sysconfdir
rm -rf %buildroot%_datadir/applets
rm -f  %buildroot%_bindir/eroaster-applet

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc doc/*
%{_bindir}/*
%{_prefix}/lib/%{name}/
%dir %{_datadir}/eroaster/
%{_datadir}/eroaster/pixmaps/
%_menudir/eroaster

%changelog
* Sat Jun 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-0.8.2mdk
- fix buildrequires

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-0.8.1mdk
- new version

* Fri Jan 23 2004 Davod LO <daouda@mandrakesoft.com> 2.2.0-0.6.4mdk
- Obsoletes/Provides hackeroaster (Charles A Edwards)

* Fri Jan 23 2004 Daouda LO <daouda@mandrakesoft.com> 2.2.0-0.6.3mdk
- Hackeroaster from Gotz and Charles

		o Mon Jan 05 2004 Charles A Edwards <eslrahc@mandrake.prg> 2.2.0-0.6.2mdk
		- add Application.py patch
		- use ImageMagick and make icons
		- list optional requires
		- use makeinstall_std

		o Sun Oct 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-0.6.1mdk
		- add mpg123 and vorbis-tools as deps
		- drop the patch, that bug was closed
		- new version
		o Thu Jul 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-0.5.2mdk
		- patch to fix crash on initial startup

		o Tue Jul 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-0.5.1mdk
		- new version

		o Wed Jul 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-0.4.1mdk
		- remove the obsolete files 
		- new version
  
		o Mon Jun  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-0.3.2mdk
		- fix requires (thanks to Charles A Edwards) 
  
		o Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-0.3.1mdk
		- fix buildrequires
		- new prerelease

		o Mon Feb 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-0.1.4mdk
		- rebuild caused by missing binary rpm

		o Sun Feb 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-0.1.3mdk
		- remove packager tag, Daouda has nothing to do with this release :-)
		- oops, require instead of buildrequire gnome-python-canvas

		o Sun Feb 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-0.1.2mdk
		- add missing requirement for gnome-python-canvas

		o Fri Feb 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-0.1.1mdk
		- spec fixes
		- needs gnome-python for GNOME 2
		- rename to hackeroaster

* Mon Oct 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.1.0-11mdk
- noarch package => /usr/lib/eroaster

* Mon Sep 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-10mdk
- patch1: make it compatible with mdk's cdrecord version

* Wed Jul 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-9mdk
- remove some obsolete files

* Sun May  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-8mdk
- fix build patch for the new wrapper
- fix buildrequires
- fix directory ownership

* Tue Apr 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-7mdk
- requires latest pygtk package
- patch to use the new pygtk wrapper

* Wed Jan 22 2003 Daouda LO <daouda@mandrakesoft.com> 2.1.0-6mdk
- code update (2.1.0-0.6)
- corrected URL

* Thu Sep  5 2002 Daouda LO <daouda@mandrakesoft.com> 2.1.0-5mdk
- rebuild (noarch)


* Tue Aug 27 2002 David BAUDENS <baudens@mandrakesoft.com> 2.1.0-4mdk
- Fix icon (menu)

* Mon Jul 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.0-3mdk
- Remove NO_XALF from menu entry

* Mon Jun  3 2002 Daouda LO <daouda@mandrakesoft.com> 2.1.0-2mdk
- no applet support (pygnome-applet doesn't build with gnome2)

* Fri Apr 12 2002 Daouda LO <daouda@mandrakesoft.com> 2.1.0-1mdk
- 2.1.0 
- bug fixes : thanx to Tim, Charles ...

* Sat Feb 16 2002 Daouda LO <daouda@mandrakesoft.com> 2.0.12-2mdk
- Fix detect device problems:
  "If we simply read the first line from the pipe, it is highly
  likely that it is empty. Seems like python is not waiting
  until the command finished executing. Make sure we do get 
  the output line we want."
- change URL

* Wed Jan  9 2002 Daouda LO <daouda@mandrakesoft.com> 2.0.12-1mdk
- 2.0.12
  o proper png icons
  o rpmlint no error
  o clean up 
 
* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 2.0.11-2mdk
- Fix menu entry using png icon

* Thu Nov 29 2001 Daouda LO <daouda@mandrakesoft.com> 2.0.11-1mdk
- release 2.0.11
	o added Ogg Vorbis audio file support (you need ogg123 and ogginfo)
	o Drag & Drop bug fixed
	o CDDB support added
	o configuration files are in ~/.eroaster/ directory now

* Fri Aug 10 2001 Daouda LO <daouda@mandrakesoft.com> 2.0.10-1mdk
- release 2.0.10
- s/Copyright/License
- update URL

* Fri May 11 2001  Daouda Lo <daouda@mandrakesoft.com> 2.0.9-2mdk
- fix RPM_BUILD_ROOT typo

* Fri May 11 2001  Daouda Lo <daouda@mandrakesoft.com> 2.0.9-1mdk
- 2.0.9

* Wed Apr 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-1.8.4mdk
- Correct GNOME menu entry

* Mon Apr  9 2001  Daouda Lo <daouda@mandrakesoft.com> 2.0-1.8.3mdk
- add missing file .

* Fri Apr  6 2001  Daouda Lo <daouda@mandrakesoft.com> 2.0-1.8.2mdk
- fix settings file path.
- eroaster reading iso bug fixed .

* Tue Feb 27 2001  Daouda Lo <daouda@mandrakesoft.com> 2.0-1.8.1mdk
- release 
- fix URL 

* Thu Jan 25 2001 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-1.7z.4mdk
- fixed configure.in for python 2.0
- added trailing /* to %{_menudir}

* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0-1.7z.3mdk
- added build requires on pygnome, xmms, cdrecord, mkisofs, sox and mpg123.

* Mon Sep 25 2000 Francis Galiegue <fg@mandrakesoft.com> 2.0-0.7z.2mdk

- Removed unneeded %%defines
- Fixed problem with eroaster not running
- Requires: pygnome

* Thu Sep  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0-0.7z.1mdk
- fixed %post and %postun : chris sucks bigtime!!
- retried the upload, i suck, ok..

* Wed Sep 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-0.7mdk
- Package for Mandrake per Warly's request. New package

